﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tektronix TPS 2000: (1 year) VER RS-232 /9500+5Hd
DATE:                  2014-03-14 14:09:37
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       308
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
# Models covered:
#       TPS 2014, TPS 2024, TPS 2014B, TPS 2024B
#
# Source(s):
#       TPS2000 Series Digital Storage Oscilloscopes
#       Service Manual, PN 071-1465-01
#
#       TPS2000B Series Digital Storage Oscilloscopes
#       Service Manual, PN 077-0447-01
#
# Compatibility:
#       MET/CAL version 8.1.4 or later
#
# Additional Equipment Required (Only used in lieu of 9500 dual sine mode):
#       Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#       output tracking: <0.25 dB, equivalent output
#       SWR: <1.22, HP/Agilent 11667A or equivalent
#       N(f) all ports
#       N(m) to BNC(f) adapter, 3 sets
#       50 Ω feed through terminator, 2 sets
#       50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         200MH                        1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         200MH                        1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         200MH                        1Vpp           LS    S
  1.008  M9500                       CH4
  1.009  9500         200MH                        1Vpp           LS    S
  1.010  M9500                       CH5
  1.011  9500         200MH                        1Vpp           LS    S
  1.012  ENDIF

  1.013  ASK-   R   Q N              P                            F        V

  1.014  IF           NOT(VERSIONCHECK("8.1.4"))
  1.015  END
  1.016  ENDIF

  1.017  CALL         Sub Display Copyright
  1.018  CALL         Sub High Voltage Safety Warning

  1.019  HEAD         PRELIMINARY INSTRUCTIONS
  1.020  CALL         Sub Select Failed Test Mode
  1.021  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.022  HEAD         TEST CONDITIONS
  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         10 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         REMOTE SETUP
  1.025  TARGET
  1.026  CALL         Sub UUT RS-232 Connection DTE DB9 (m)
  1.027  CALL         Sub Tek TPS2000 Setup RS-232
  1.028  PORT         *RST

  1.029  HEAD         UUT IDENTIFICATION
  1.030  CALL         Sub IEEE-488.2 Identification Query RS-232 using OTERM
  1.031  MATH         @UUT_Manufacturer = "Tektronix"
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

  1.036  CALL         Sub Datron 9500 Configuration Query IEEE

# Check whether the active head configuration is possible to use dual sine
# function for external trig sensitivity test. 9500 dual sine feature is
# limited to heads of the same type.
  1.037  MATH         @SameHead = 1 + ZCMPI(@HeadTypeCh1, @HeadTypeCh5)
  1.038  MATH         @SameHead = @SameHead + ZCMPI(@HeadTypeCh2,@HeadTypeCh5)
  1.039  MATH         @SameHead = @SameHead + ZCMPI(@HeadTypeCh3,@HeadTypeCh5)
  1.040  MATH         @SameHead = @SameHead + ZCMPI(@HeadTypeCh4,@HeadTypeCh5)

  1.041  IF           @SameHead == 5
  1.042  MATH         @UseDualChanLS = 1; @Abort = 0

  1.043  ELSEIF       ZCMPI(@HeadTypeCh1, @HeadTypeCh5)
  1.044  MATH         @UseDualChanLS = 1; @Abort = 0

  1.045  ELSEIF       NOT(ZCMPI(@HeadTypeCh1, @HeadTypeCh5))
  1.046  OPBR         -z In the subsequent external trigger sensitivity test,
  1.046  OPBR         the use of the 9500 dual sine function is recommended.
  1.046  OPBR         If two Active Heads of the same type are not available,
  1.046  OPBR         however, the use of a power splitter is also supported.
  1.046  OPBR
  1.046  OPBR         Do you wish to change Active Heads to facilitate the use
  1.046  OPBR         of the dual sine function at this time?

  1.047  IF           MEM1
  1.048  DISP         Exchange 9500 Active Heads, ensuring the same types are
  1.048  DISP         used in both CH 1 and CH 5, then modify the MET/CAL
  1.048  DISP         Instrument Configuration and re-execute the procedure.
  1.048  DISP
  1.048  DISP         Selecting "Advance" aborts the procedure, facilitating
  1.048  DISP         the above change.
  1.049  MATH         @Abort = 1
  1.050  ELSE
  1.051  HEAD         EQUIPMENT REQUIREMENTS
  1.052  DISP         The following additional equipment and/or
  1.052  DISP         accessories are required:
  1.052  DISP
  1.052  DISP         - Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
  1.052  DISP         [32] output tracking: <0.25 dB, equivalent output
  1.052  DISP         [32] SWR: <1.22, HP/Agilent 11667A or equivalent
  1.052  DISP         [32] N(f) all ports
  1.052  DISP         - N(m) to BNC(f) adapter, 3 sets
  1.052  DISP         - 50 Ω feed through terminator, 2 sets
  1.052  DISP         - 50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
  1.053  MATH         @UseDualChanLS = 0; @Abort = 0
  1.054  ENDIF

  1.055  ENDIF

  1.056  JMPL         END                          @Abort

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results. For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.057  CALL         Sub Tek TPS2000 Self-Test RS-232
  1.058  JMPL         END                         @Abort

  1.059  CALL         Sub Tek TPS2000 Sig Path Comp Cal RS-232
  1.060  JMPL         END                         @Abort

  1.061  MATH         @CalMultiChan = 1

# Specify channel to test.
  1.062  MATH         @Chan = 1
  1.063  M9500                       CH1
  1.064  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500

  1.065  MATH         @Chan = 2
  1.066  M9500                       CH2
  1.067  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500

  1.068  MATH         @Chan = 3
  1.069  M9500                       CH3
  1.070  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500

  1.071  MATH         @Chan = 4
  1.072  M9500                       CH4
  1.073  CALL         Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500

  1.074  IF           FINDI(@UUT_Model,"B",1)
  1.075  MATH         @Chan = 1
  1.076  M9500                       CH1
  1.077  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500

  1.078  MATH         @Chan = 2
  1.079  M9500                       CH2
  1.080  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500

  1.081  MATH         @Chan = 3
  1.082  M9500                       CH3
  1.083  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500

  1.084  MATH         @Chan = 4
  1.085  M9500                       CH4
  1.086  CALL         Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
  1.087  ENDIF

  1.088  MATH         @Chan = 1
  1.089  M9500                       CH1
  1.090  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500

  1.091  MATH         @Chan = 2
  1.092  M9500                       CH2
  1.093  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500

  1.094  MATH         @Chan = 3
  1.095  M9500                       CH3
  1.096  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500

  1.097  MATH         @Chan = 4
  1.098  M9500                       CH4
  1.099  CALL         Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500

  1.100  MATH         @Chan = 1
  1.101  M9500                       CH1
  1.102  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500

  1.103  MATH         @Chan = 2
  1.104  M9500                       CH2
  1.105  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500

  1.106  MATH         @Chan = 3
  1.107  M9500                       CH3
  1.108  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500

  1.109  MATH         @Chan = 4
  1.110  M9500                       CH4
  1.111  CALL         Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500
  1.112  JMPL         SAMPLE_RATE_DELAY_TIME       @SameHead != 5

  1.113  LABEL        EXT_TRIG

  1.114  IF           @SameHead == 5
  1.115  MATH         @Chan = 1
  1.116  M9500                       CH15
  1.117  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.118  MATH         @Chan = 2
  1.119  M9500                       CH25
  1.120  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.121  MATH         @Chan = 3
  1.122  M9500                       CH35
  1.123  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.124  MATH         @Chan = 4
  1.125  M9500                       CH45
  1.126  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.127  ELSEIF       @SameHead < 5 && @UseDualChanLS
  1.128  MATH         @Chan = 1
  1.129  M9500                       CH15
  1.130  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.131  MATH         @Chan = 2
  1.132  M9500                       CH15
  1.133  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.134  MATH         @Chan = 3
  1.135  M9500                       CH15
  1.136  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.137  MATH         @Chan = 4
  1.138  M9500                       CH15
  1.139  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+2Hd

  1.140  ELSEIF       NOT(@UseDualChanLS)
  1.141  MATH         @Chan = 1
  1.142  M9500                       CH1
  1.143  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd

  1.144  MATH         @Chan = 2
  1.145  M9500                       CH1
  1.146  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd

  1.147  MATH         @Chan = 3
  1.148  M9500                       CH1
  1.149  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd

  1.150  MATH         @Chan = 4
  1.151  M9500                       CH1
  1.152  CALL         Sub Tek TPS2000 (1 yr) ExTrig Sens RS-232 /9500+1Hd
  1.153  ENDIF

  1.154  JMPL         END                          @SameHead != 5

  1.155  LABEL        SAMPLE_RATE_DELAY_TIME
  1.156  MATH         @Chan = 1
  1.157  M9500                       CH1
  1.158  CALL         Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9500
  1.159  JMPL         EXT_TRIG                     @SameHead != 5

  1.160  LABEL        END
  1.161  HEAD

  1.162  IF           @Abort
  1.163  DISP         V E R I F I C A T I O N   A B O R T E D
  1.164  ENDIF

  1.165  END
