﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Tektronix TPS 2024: (1 year) VER RS-232 /9500+5Hd
DATE:                  2014-03-04 13:38:11
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       86
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:
#        VY, GMO
# 
#  Models covered:
#        TPS 2024
# 
#  Source(s):
#        TPS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1465-01
# 
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#          output tracking: <0.25 dB, equivalent output
#          SWR: <1.22, HP/Agilent 11667A or equivalent
#          N(f) all ports
#        N(m) to BNC(f) adapter, 3 sets
#        50 Ohm feed through terminator, 2 sets
#        50 Ohm BNC(m)-(m) cable, 10 inch long, 2 sets
# 
# The procedure was tested using:
#
#        Model No  : Tektronix TPS2024B
#        Serial No : C10011
#        Options   :
#        Firmware  : CF:91.1CT, FV:v10.21
#
# Average run time during testing :  18 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         200MH                        1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         200MH                        1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         200MH                        1Vpp           LS    S
  1.008  M9500                       CH4
  1.009  9500         200MH                        1Vpp           LS    S
  1.010  M9500                       CH5
  1.011  9500         200MH                        1Vpp           LS    S
  1.012  ENDIF

  1.013  MATH         @UUT_Model = "TPS 2024"
  1.014  MATH         @Bandwidth = "200 MHz"
  1.015  MATH         @NumChan =   4
  1.016  MATH         @CalDev = "Fluke 9500"

  1.017  CALL         Sub Tektronix TPS 2000: (1 year) VER RS-232 /9500+5Hd

  1.018  END
